import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';

@Component({
  selector: 'byte-goal-config-layout',
  templateUrl: './goal-config-layout.component.html',
  styleUrls: ['./goal-config-layout.component.scss']
})
export class GoalConfigLayoutComponent implements OnInit {

  @Input() mode: string;
  @Output() onChange = new EventEmitter<boolean>();
  constructor() { }

  ngOnInit() {
  }

  checkboxchange(){
    this.onChange.emit(true);
  }
}
